Skip to navigation

Initiate a non payment message

View as Markdown

This endpoint validates your request and responds with HTTP status 202 (accepted) after successful validation. If validation fails, the endpoint synchronously responds with error (HTTP status 4XX / 5XX and any applicable ISO 20022 reason code), indicating Citi couldn’t accept your message initiation request.

Authentication

AuthorizationBearer

All CitiConnect APIs use the oAuth2 authentication scheme, which requires a bearer token to authenticate your API call. The Token URL includes the version of authentication used by this API. See the Citi Authentication API reference for information on requesting a token.

Path parameters

uetrstringRequiredformat: "^[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89ab][a-f0-9]{3}-[a-f0-9]{12}$"

Unique end-to-end transaction reference

Headers

Idempotency-IdstringRequired<=128 characters

Your unique identification for a POST request

  • Maximum length is 128.
  • CitiConnect API responds with an error (HTTP status 4XX) if your POST request idempotency identification value is a duplicate across a recent history of idempotency identifications in Citi’s database.
  • If you don’t receive any response (HTTP status 2XX, 4XX or 5XX) from Citi to your POST request and you wish to retry, reinitiate your request with the same idempotency identification to prevent accidental duplicate payment.

Query parameters

client_idstringRequired
Your unique identification, same as the identification you use for OAuth token generation, Citi shared with you during your CitiConnect API onboarding

Request

This endpoint validates your request and responds with HTTP status 202 (accepted) after successful validation. If validation fails, the endpoint synchronously responds with error (HTTP status 4XX / 5XX and any applicable ISO 20022 reason code), indicating Citi couldn’t accept your message initiation request.

message_typeenumRequired

Message Type provided by the customer

  • RFR - Request for Refund (camt.056)
  • RRFR - Response to Request for Refund(camt.029)
  • PCR - Payment Confirmation Request
  • RPCR - Response to Payment Confirmation Request
  • RFP - Request for Payment (pain.013)
  • RRFP - Response to Request for Payment (pain.014)
  • RRFICS - Response to Request for Information Compliance
messageobjectRequired

Response headers

request_idstringOptional
Citi's unique identification for your request

Response

Accepted
message_idstringRead-only<=35 characters
Message Identification
creation_date_timedatetimeRead-only

UTC (ISO 8601 YYYY-MM-DDTHH:MM:SS.sssZ)

  • Date time when a message was created
message_typeenum

Message Type as provided by the customer

  • RFR - Request for Refund (camt.056)
  • RRFR - Response to Request for Refund(camt.029)
  • PCR - Payment Confirmation Request
  • RPCR - Response to Payment Confirmation Request
  • RFP - Request for Payment (pain.013)
  • RRFP - Response to Request for Payment (pain.014)
  • RRFICS - Response to Request for Information Compliance
messageobjectOptional

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
405
Method Not Allowed Error
500
Internal Server Error